      subroutine buoyant(tmp,rat,buoy)
***********************************************************************
*     calculate buoyancy at mesh points
*
*     buoy := rat*tmp
*
*     input
*        tmp: temperature
*        rat: thermal Rayleigh number
*     output
*        buoy: buoyancy
***********************************************************************
      implicit none
      include "meshnum"
c
      integer i,j
      real*8 buoy(iax,jax),tmp(iax,jax)
      real*8 rat
c
      do 102 j = 1,jax
         do 101 i = 1,iax
            buoy(i,j) = rat*tmp(i,j)
 101     continue
 102  continue
c
      return
      end
