      subroutine buoyant(tmp,rat,buoy,jstas,jends)
      use para4common
***********************************************************************
*     calculate buoyancy at mesh points
*
*     buoy := rat*tmp
*
*     input
*        tmp: temperature
*        rat: thermal Rayleigh number
*     output
*        buoy: buoyancy
***********************************************************************
      implicit none
      include "meshnum"
c
      integer i,j,jstas(0:maxprocs-1),jends(0:maxprocs-1)
      real*8 buoy(iax,jax),tmp(iax,jax)
      real*8 rat
c
c      do j = 1,jax
      do j = jstas(myrank),jends(myrank)
         do i = 1,iax
            buoy(i,j) = rat*tmp(i,j)
         enddo
      enddo
c
      return
      end
