      subroutine calvisc(tmp,zp,etl,epl,visc,jstas,jends)
      use para4common
***********************************************************************
*     calculate viscosity from temperature and composition
*
*     input
*        tmp: temperature
*        etl: coefficient of temperature on viscosity
*        epl: coefficient of pressure on viscosity
*        zp: vertical coodinate
*     output
*        visc: viscosity
***********************************************************************
      implicit none
      include "meshnum"
c
      integer i,j
      real*8 tmp(iax,jax),etl,epl,visc(iax,jax),zp(jax)
      real*8 zz
      integer jstas(0:maxprocs-1),jends(0:maxprocs-1)
c
c      do j = 1,jax
      do j = jstas(myrank),jends(myrank)
         zz = 1.d0-zp(j)
         do  i = 1,iax
            visc(i,j) = exp(-etl*tmp(i,j)+epl*zz)
         enddo
      enddo
c
      return
      end
