      subroutine calvisg(vcc,vgxz,vgzx,
     $     dx,dz,dxs,dzs,dxi,dzi,dxsi,dzsi)
**********************************************************************
*     calculate viscosity at grid points
**********************************************************************
      implicit none
      include "meshnum"
c
      integer i,j
      real*8 vcc(iax,jax),vgxz(iax,jax),vgzx(iax,jax)
      real*8 dx(iax),dz(jax),dxs(iax),dzs(jax)
     $     ,dxi(iax),dzi(jax),dxsi(iax),dzsi(jax)
      real*8 dum1,dum2
c
      do j = 2,jax
         do i = 2,iax
            dum1 = dz(j-1)/vcc(i-1,j-1)+dz(j)/vcc(i-1,j)
            dum2 = dz(j-1)/vcc(i,j-1)+dz(j)/vcc(i,j)
            vgxz(i,j) = dzs(j)*dxsi(i)*(dx(i-1)/dum1+dx(i)/dum2)
c
            dum1 = dx(i-1)/vcc(i-1,j-1)+dx(i)/vcc(i,j-1)
            dum2 = dx(i-1)/vcc(i-1,j)+dx(i)/vcc(i,j)
            vgzx(i,j) = dxs(i)*dzsi(j)*(dz(j-1)/dum1+dz(j)/dum2)
         enddo
      enddo
c
      return
      end
